/*
 * PhotoCD Player plugin for VDR
 * pcd_menu.h: OSD menus
 *
 * See the README file for copyright information and how to reach the author.
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id$
 */


#ifndef __PCD_MENU_H
#define __PCD_MENU_H

#include <vdr/config.h>
#if VDRVERSNUM >= 10307
#include <vdr/osdbase.h>
#else
#include <vdr/osd.h>
#endif
#include "pcd_func.h"
#include "pcd_viewer.h"


class cPcdMenu : public cOsdMenu {
protected:
  cPCD *pcd;
  eOSState Play(void);
  eOSState Eject(void);
public:
  cPcdMenu(cPCD *Pcd);
  ~cPcdMenu();
  virtual eOSState ProcessKey(eKeys Key);
  };

#endif //__PCD_MENU_H
